---
layout: docs
page_title: host-sets list - Command
description: >-
  The "host-sets list" command lists the available host set resources within a scope or resource.
---

# host-sets list

Command: `boundary host-sets list`

The `boundary host-sets list` command lets you list the Boundary host sets within a given scope or resource.

## Example

This example lists all host sets within the host catalog `_1234567890`:

```shell-session
$ boundary host-sets list -host-catalog-id _1234567890
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary host-sets list [options] [args]
```

</CodeBlockConfig>

### Command options

- `-filter=<string>` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `-host-catalog-id=<string>` - The host catalog resource to use to produce the list.
You can also specify the host catalog using the **BOUNDARY_HOST_CATALOG_ID** environment variable.
- `list_token` (optional) - An opaque token that is returned from the previous `list` response.
If you do not supply a value, pagination starts from the beginning.
- `page_size` (optional) - An unsigned integer that indicates the number of items that should be included on the page of search results.
If you do not provide a value, or if you provide a value of `0`, Boundary uses the default page size of 1000 items.
If you configure it, the `page_size` value overrides the default page size.
Controller administrators can also configure a `max_page_size` option that constrains the maximum page size a user can request.

@include 'cmd-option-note.mdx'